
def setplot2user(clawplotdata=None):
    import os
    from numpy import linspace
    from pylab import cm    # colormaps

    if clawplotdata is None:
        from clawdata import ClawData
        clawplotdata = ClawData()

    if os.path.exists('setplot2.data'):
        clawplotdata.read('setplot2.data')

    clawplotdata.mq = 1
    clawplotdata.axis_limits = [-2,2,-2,2]

    clawplotdata.user_variable = False
    clawplotdata.user_variable_name = ""
    clawplotdata.mapped_grid = True
    
    clawplotdata.plot_grid = [clawplotdata.plot_grid]
                             # convert value to array with one element

    clawplotdata.grid_color = 'k'          # color to plot grid lines
    
    clawplotdata.plot_pcolor = False      # pcolor plot?
    clawplotdata.pcolor_map = cm.RdYlBu   # for pcolor plots - set a colormap
    clawplotdata.c_min  = 0
    clawplotdata.c_max = 4
    clawplotdata.plot_colorbar = False
    
    # clawplotdata.plot_contour = True    # contour plot?  (in setplot2.data)
    clawplotdata.contour_levels = linspace(.4,4.0,10)    # for contour plots
    clawplotdata.contour_colors = 'k'     # colors parameter in contour plot
    
    return clawplotdata
